XMLConstants (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.junit.XMLConstants,XMLConstants interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.junit
Interface XMLConstants

All Known Implementing Classes:
  XMLJUnitResultFormatter, XMLResultAggregator

public interface XMLConstants

Interface groups XML constants. Interface that groups all constants used throughout the `XML` documents that are generated by the `XMLJUnitResultFormatter` As of now the DTD is: ``

     <----------------- @todo describe DTDs ---------------------->

See Also:
  `XMLJUnitResultFormatter`, `XMLResultAggregator`

Field Summary
`static java.lang.String` | `ATTR_CLASSNAME` classname attribute for testcase elements
`static java.lang.String` | `ATTR_ERRORS` errors attribute for testsuite elements
`static java.lang.String` | `ATTR_FAILURES` failures attribute for testsuite elements
`static java.lang.String` | `ATTR_ID` id attribute
`static java.lang.String` | `ATTR_MESSAGE` message attribute for failure elements
`static java.lang.String` | `ATTR_NAME` name attribute for property, testcase and testsuite elements
`static java.lang.String` | `ATTR_PACKAGE` package attribute for the aggregate document
`static java.lang.String` | `ATTR_TESTS` tests attribute for testsuite elements
`static java.lang.String` | `ATTR_TIME` time attribute for testcase and testsuite elements
`static java.lang.String` | `ATTR_TYPE` type attribute for failure and error elements
`static java.lang.String` | `ATTR_VALUE` value attribute for property elements
`static java.lang.String` | `ERROR` the error element
`static java.lang.String` | `FAILURE` the failure element
`static java.lang.String` | `PROPERTIES` the properties element
`static java.lang.String` | `PROPERTY` the property element
`static java.lang.String` | `SYSTEM_ERR` the system-err element
`static java.lang.String` | `SYSTEM_OUT` the system-out element
`static java.lang.String` | `TESTCASE` the testcase element
`static java.lang.String` | `TESTSUITE` the testsuite element
`static java.lang.String` | `TESTSUITES` the testsuites element for the aggregate document

Field Detail

### TESTSUITES

    public static final java.lang.String TESTSUITES

  the testsuites element for the aggregate document

  See Also:
    Constant Field Values

### TESTSUITE

    public static final java.lang.String TESTSUITE

  the testsuite element

  See Also:
    Constant Field Values

### TESTCASE

    public static final java.lang.String TESTCASE

  the testcase element

  See Also:
    Constant Field Values

### ERROR

    public static final java.lang.String ERROR

  the error element

  See Also:
    Constant Field Values

### FAILURE

    public static final java.lang.String FAILURE

  the failure element

  See Also:
    Constant Field Values

### SYSTEM_ERR

    public static final java.lang.String SYSTEM_ERR

  the system-err element

  See Also:
    Constant Field Values

### SYSTEM_OUT

    public static final java.lang.String SYSTEM_OUT

  the system-out element

  See Also:
    Constant Field Values

### ATTR_PACKAGE

    public static final java.lang.String ATTR_PACKAGE

  package attribute for the aggregate document

  See Also:
    Constant Field Values

### ATTR_NAME

    public static final java.lang.String ATTR_NAME

  name attribute for property, testcase and testsuite elements

  See Also:
    Constant Field Values

### ATTR_TIME

    public static final java.lang.String ATTR_TIME

  time attribute for testcase and testsuite elements

  See Also:
    Constant Field Values

### ATTR_ERRORS

    public static final java.lang.String ATTR_ERRORS

  errors attribute for testsuite elements

  See Also:
    Constant Field Values

### ATTR_FAILURES

    public static final java.lang.String ATTR_FAILURES

  failures attribute for testsuite elements

  See Also:
    Constant Field Values

### ATTR_TESTS

    public static final java.lang.String ATTR_TESTS

  tests attribute for testsuite elements

  See Also:
    Constant Field Values

### ATTR_TYPE

    public static final java.lang.String ATTR_TYPE

  type attribute for failure and error elements

  See Also:
    Constant Field Values

### ATTR_MESSAGE

    public static final java.lang.String ATTR_MESSAGE

  message attribute for failure elements

  See Also:
    Constant Field Values

### PROPERTIES

    public static final java.lang.String PROPERTIES

  the properties element

  See Also:
    Constant Field Values

### PROPERTY

    public static final java.lang.String PROPERTY

  the property element

  See Also:
    Constant Field Values

### ATTR_VALUE

    public static final java.lang.String ATTR_VALUE

  value attribute for property elements

  See Also:
    Constant Field Values

### ATTR_CLASSNAME

    public static final java.lang.String ATTR_CLASSNAME

  classname attribute for testcase elements

  See Also:
    Constant Field Values

### ATTR_ID

    public static final java.lang.String ATTR_ID

  id attribute

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.